Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# binwrite_arg Struct Reference

## Data Fields
rb_io_t * | fptr
VALUE | str
long | offset
long | length

## Detailed Description

Definition at line 816 of file io.c.

## Field Documentation

rb_io_t* binwrite_arg::fptr

Definition at line 817 of file io.c.

Referenced by io_binwrite(), io_binwrite_string(), io_write(), rb_io_eof(), rb_io_fileno(), rb_io_flush(), rb_io_inspect(), rb_io_pid(), rb_io_rewind(), rb_io_seek(), rb_io_set_pos(), rb_io_set_sync(), rb_io_sync(), and rb_io_tell().

long binwrite_arg::length

Definition at line 820 of file io.c.

Referenced by io_binwrite(), and io_binwrite_string().

long binwrite_arg::offset

Definition at line 819 of file io.c.

Referenced by io_binwrite(), io_binwrite_string(), io_fread(), and rb_io_seek_m().

VALUE binwrite_arg::str

Definition at line 818 of file io.c.

Referenced by do_writeconv(), io_binwrite(), and io_binwrite_string().

The documentation for this struct was generated from the following file:

- io.c